com.thinkaurelius.titan.diskstorage

## Interface EntryList

- All Superinterfaces:
    Collection<Entry>, Iterable<Entry>, List<Entry>
  All Known Implementing Classes:
    EntryList.EmptyList, StaticArrayEntryList

      public interface EntryList
      extends List<Entry>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `EntryList.EmptyList`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EntryList.EmptyList` | `EMPTY_LIST`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getByteSize()` Returns the total amount of bytes this entry consumes on the heap - including all object headers.
    `Iterator<Entry>` | `reuseIterator()` Returns the same iterator as `List.iterator()` with the only difference that it reuses `Entry` objects when calling `Iterator.next()`.

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

- - ### Field Detail

    - #### EMPTY_LIST

          static final EntryList.EmptyList EMPTY_LIST

  - ### Method Detail

    - #### reuseIterator

          Iterator<Entry> reuseIterator()

      Returns the same iterator as `List.iterator()` with the only difference that it reuses `Entry` objects when calling `Iterator.next()`. Hence, this method should only be used if references to `Entry` objects are only kept and accesed until the next `Iterator.next()` call.
      Returns:

    - #### getByteSize

          int getByteSize()

      Returns the total amount of bytes this entry consumes on the heap - including all object headers.
      Returns:

Copyright © 2012–2014. All rights reserved.